// Pop up the contact form on the current page
// rather than taking the user to a separate url

var contactlink;
var contactpanel;

ContactPopupInit = function () {

	contactpanel = new YAHOO.widget.Dialog("contactpanel", {
			close:true,
			visible:false,
			draggable:true,
			fixedcenter:true,
			modal:true,
			width:"520px",
			buttons : [ { text:"Send Message", handler:handleSend, isDefault:true },
                     { text:"Close", handler:handleClose } ]
		}
	);

  contactpanel.callback.success = sendMessageSuccess;
  contactpanel.callback.failure = sendMessageFailure;	
	
	contactpanel.setHeader('Contact Hitt Consulting');
	// Need to change this line on the production server
	contactpanel.setBody('<div class="vcard"><a class="url fn hide" href="http://www.hittconsulting.com/"> <div class="org"> <span class="organization-name">Hitt Consulting</span> </div> </a> <div class="adr"> <span class="type hide">Business</span> <span class="street-address">105 S Locust St</span><br /> <span class="locality">Shiremanstown</span>, <span class="region">PA</span>, <span class="country-name">USA</span>&nbsp;&nbsp; <span class="postal-code">17011</span> </div> <a class="email" href="mailto:info@hittconsulting.com">info@hittconsulting.com</a></div><form class="contact" action="/api/contact/" method="post"><input type="hidden" name="action" value="contact" /><h3>Send a message direct to Terry.</h3><div class="block"><label for="contact_name_in">Name</label>	<input name="contact_name" id="contact_name_in" class="required" tabindex="1" type="text" /> Required</div><div class="block"><label for="contact_email_in">Email</label> <input name="contact_email" id="contact_name_in" class="required" tabindex="2" type="text" /> Required</div><div class="block"><label for="contact_subject_in">Regarding</label><input name="contact_subject" id="contact_name_in" tabindex="3" type="text"></div><div class="block"><textarea name="contact_message" id="contact_message_in" class="required" tabindex="4" cols="50" rows="20"></textarea></div></form>');
	contactpanel.render(document.body);

	contactlink  = document.getElementById('contact-link');

	YAHOO.util.Event.addListener(contactlink,'click',ContactPopup);
}

var ContactPopup = function (e) {
	contactpanel.show();
	YAHOO.util.Dom.addClass(contactlink, 'focussed');
	YAHOO.util.Event.stopEvent(e);
};

var handleSend = function() {
	var msg_name    = contactpanel.getData().contact_name;
	var msg_email   = contactpanel.getData().contact_email;
	var msg_subject = contactpanel.getData().contact_subject;
	var msg_message = contactpanel.getData().contact_message;

	// Check that all required data is included
	var msg_error = 0;
	var msg_alert = 'Before pressing "Send Message":\n\t';
	if (!msg_name) {
		++msg_error;
		msg_alert += 'Please enter your name.\n\t';
	}
	if (!msg_email) {
		++msg_error;
		msg_alert += 'Please enter your email address.\n\t';
	}
	if (!msg_name) {
		++msg_error;
		msg_alert += 'Please include a message.';
	}

	if (msg_error) {
		alert(msg_alert);
	}
	else {
	  // You need to change this on the production server
		contactpanel.submit();
	}
};

var sendMessageCallback = {
	success:sendMessageSuccess,
	failure:sendMessageFailure,
	timeout:5000
}

function sendMessageSuccess (o) {
	responsePanel = new YAHOO.widget.SimpleDialog("responsepanel", {
			close:true,
			visible:true,
			draggable:true,
			fixedcenter:true,
			width:"450px",
		}
	);
	responsePanel.setHeader('Contact Hitt Consulting');
	responsePanel.setBody(o.responseText);

  var myButtons = [ { text: "OK",
                      handler:handleClose,
                      isDefault:true } ];	
	
  responsePanel.cfg.queueProperty("buttons", myButtons);	
	
	responsePanel.render(document.body);
}

function sendMessageFailure (o) {
  alert ('Server failed to process request.\nPlease try again.\n');
	contactpanel.show();
}

var handleClose = function() {
	this.cancel();
	YAHOO.util.Dom.removeClass(contactlink, 'focussed');
};

YAHOO.util.Event.addListener(window,'load',ContactPopupInit);
